IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_seg_registroPeticion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_seg_registroPeticion]
GO


Create  PROCEDURE [dbo].[ins_seg_registroPeticion]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_registroPeticion varchar(300),
		@p_registroPeticion_codigo varchar(100),
		@p_urlServicio varchar(100),
		@p_modulo varchar(100),
		@p_aplicacion varchar(100),
		@p_esExitosa bit,
		@p_mensajeRespuesta varchar(max),
		@p_id_usuario int,
		@p_tamanoPeticion float
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [seg_registroPeticion]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[registroPeticion],
			[registroPeticion_codigo],
			[urlServicio],
			[modulo],
			[aplicacion],
			[esExitosa],
			[mensajeRespuesta],
			[id_usuario],
			[tamanoPeticion])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_registroPeticion,
			@p_registroPeticion_codigo,
			@p_urlServicio,
			@p_modulo,
			@p_aplicacion,
			@p_esExitosa,
			@p_mensajeRespuesta,
			@p_id_usuario,
			@p_tamanoPeticion)
		SET @v_id = scope_identity()
UPDATE [seg_registroPeticion] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END

